Subject: ab/make-sparse-for-real

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 07 Oct 2021 04:01:41 +0200

On Wed, Oct 06 2021, Junio C Hamano wrote:

> * ab/make-sparse-for-real (2021-09-22) 1 commit
>   (merged to 'next' on 2021-10-06 at 10e3c31d6a)
>  + Makefile: make the "sparse" target non-.PHONY
>
>  Prevent "make sparse" from running for the source files that
>  haven't been modified.
>
>  Will merge to 'master'.

I see you merged down the v2 of this[1], not the v3[2], thanks!

I'm personally happier with the v2, but the v3 is just as useful for my
purposes, and I understood that you/Ramsey had some flows/finger memory
depending on the semantics of the existing "sparse" target.

If it was a mistake I'm happy to submit a version of the v3 on top
(since it's in "next" already), or if it was intended I'm happy to leave
it be. Just checking.

1. https://lore.kernel.org/git/[email-masked]/
2. https://lore.kernel.org/git/[email-masked]/